{{ define "main" }}

{{with .Params.banner}}
<section class="banner bg-white section pb-5">
  <div class="container">
    <div class="row align-items-center justify-content-center text-center text-lg-start gy-5">
      <div class="col-9 col-sm-8 col-md-6 col-lg-5 col-xxl-5">
        <div class="pe-lg-4 pe-xl-5">
          {{ partial "image.html" (dict "Src" .image "Class" "rounded")}}
        </div>
      </div>
      <div class="col-11 col-lg-7 col-xxl-5">
        <h1 class="display-6 mb-3">{{.title | markdownify}}</h1>
        <p class="mb-4 pb-2">{{.description | markdownify}}</p>

        {{if .button.enable}}
        {{with .button}}
        <a href="{{.link | relLangURL}}" class="btn btn-primary">{{ .label }}</a>
        {{ end }}
        {{ end }}
      </div>
    </div>
  </div>
</section>
{{ end }}

<!--===================== Blog Start =====================--> 
<section id="post" class="blog section bg-white">
  <div class="container">
    <div class="row">
      {{ $sidebar:= site.Params.sidebar }}
      
      <div class="{{if eq $sidebar `true` }} col-lg-8 {{else}} col-12 {{end}}">
        <div class="row row-cols-1 row-cols-md-2 gy-4">
          {{ $paginator:= .Paginate (where site.RegularPages "Section" "in" site.Params.mainSections) }}
          {{ range $paginator.Pages }}
  
          {{ if eq $sidebar "true"}}
          <!-- card start -->
          <div class="col">
            <div class="blog-card card mb-3">
              <div class="card-img position-relative">
                {{ partial "image.html" (dict "Src" .Params.image "Class" "w-100 card-img-top")}}
                <div class="post-info">
                  <span class="text-uppercase">{{ time.Format ":date_long" .PublishDate }}</span>
                </div>
              </div>
    
              <div class="card-body">
                <ul class="post-meta mb-2">
                  {{ range .Params.categories }}
                  <li><a class="text-uppercase" href="{{`categories` | relURL}}/{{. | urlize | lower}}">
                    {{ . }}
                  </a></li>
                  {{ end }}
                </ul>
                <h2 class="h3 fw-light mb-3"><a class="post-title" href="{{.RelPermalink}}">{{ .Title }} </a></h2>
                <p class="card-text mb-4">{{ .Summary }}</p>
                <a class="btn btn-outline-primary btn-sm" href="{{.RelPermalink}}">{{i18n `read_more`}}</a>
              </div>
            </div>
          </div>
          <!-- card end -->
          {{ else }}

          <!-- card start -->
          <div class="col">
            <div class="card blog-card mb-3">
              <div class="row g-0">
                <div class="col-xl-5">
                  <div class="card-img position-relative">
                    {{ partial "image.html" (dict "Src" .Params.image "Class" "w-100")}}
                    <div class="post-info">
                      <span class="text-uppercase">{{ time.Format ":date_long" .PublishDate }}</span>
                    </div>
                  </div>
                </div>
                <div class="col-xl-7">
                  <div class="card-body ps-xl-4 ms-xl-1">
                    <ul class="post-meta mb-2">
                      {{ range .Params.categories }}
                      <li><a class="text-uppercase" href="{{`categories` | relURL}}/{{. | urlize | lower}}">
                        {{ . }}
                      </a></li>
                      {{ end }}
                    </ul>
                    <h2 class="h4 fw-light mb-3"><a class="post-title" href="{{.RelPermalink}}">{{ .Title }} </a></h2>
                    <p class="card-text mb-4">{{ .Summary }}</p>
                    <a class="btn btn-outline-primary btn-sm" href="{{.RelPermalink}}">{{i18n `read_more`}}</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- card end -->
          {{ end }}
  
          {{ end }}
        </div>

        <div class="col-12">
          {{ partial "components/custom-pagination.html" . }}
        </div>
      </div>
      
      {{ if eq $sidebar "true" }}
      <div class="col-lg-4">
        <div class="bg-body ms-xl-3 p-4 rounded">
          <!-- widget -->
          {{ $widget:= site.Params.widgets.sidebar }}
          {{ partialCached "widgets/widget-wrapper" ( dict "Widgets" $widget "Scope" . ) }}
        </div>
      </div>
      {{ end }}

    </div>
  
  </div>
</section>
<!--===================== Blog End =====================-->

{{ end }}
